Support » Plugin: WP Deferred JavaScripts » Scripts load without versions

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Willy Bahuaud

    (@willybahuaud)

    Actually we recommand to use the pluging SF Cache busting with pass query string version argument into the ressource name (for exemple jquery.js?ver=3=0 will become jquery.3.0.js). We think it’s more efficient because many proxies don’t cache ressources with query string.

    To use this plugin, before installing it you need to add rules to htaccess (or nginx config file):
    for apache and lightspeed

    <IfModule mod_rewrite.c>
        RewriteEngine On
        RewriteCond %{REQUEST_FILENAME} !-f
        RewriteRule ^(.+)\.(\d+)\.(css|js)$ $1.$3 [L]
    </IfModule>

    for nginx

    if (!-e $request_filename) {
        rewrite ^/(.+)\.(\d+)\.(css|js)$ /$1.$3 break;
    }

    More information (in french) here

    🙂

    Hello!
    Thanks for answer!

    I’ll try it! It looks pretty good.
    If it is not good particular for me, I’ll continue to use my decision))

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Scripts load without versions’ is closed to new replies.